FROM openshift/golang-builder:1.12 AS builder
ENV SOURCE_GIT_COMMIT=6b7509911b5cf9bd292cb7f05c31a386503f58c3 SOURCE_GIT_TAG=6b750991 SOURCE_GIT_URL=https://github.com/openshift/insights-operator SOURCE_DATE_EPOCH=1578323003 BUILD_VERSION=v4.3.1 BUILD_RELEASE=202002032140
WORKDIR /go/src/github.com/openshift/insights-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.1.20200203.214022
ENV SOURCE_GIT_COMMIT=6b7509911b5cf9bd292cb7f05c31a386503f58c3 SOURCE_GIT_TAG=6b750991 SOURCE_GIT_URL=https://github.com/openshift/insights-operator SOURCE_DATE_EPOCH=1578323003 BUILD_VERSION=v4.3.1 BUILD_RELEASE=202002032140
COPY --from=builder /go/src/github.com/openshift/insights-operator/bin/insights-operator /usr/bin/
COPY config/pod.yaml /etc/insights-operator/server.yaml
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/insights-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-insights-operator" \
        com.redhat.component="ose-insights-operator-container" \
        version="v4.3.1" \
        release="202002032140" \
        io.openshift.build.commit.id="6b7509911b5cf9bd292cb7f05c31a386503f58c3" \
        io.openshift.build.source-location="https://github.com/openshift/insights-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/insights-operator/commit/6b7509911b5cf9bd292cb7f05c31a386503f58c3"

